Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboVOListValidator

    java.lang.Object
      |
      +--oracle.jbo.server.rules.JboBaseValidator
            |
            +--oracle.jbo.server.rules.JboListValidator
                  |
                  +--oracle.jbo.server.rules.JboVOListValidator

public class JboVOListValidator
extends JboListValidator

A validator that tests for the presence of a literal value in a list of database values. A View Object of at least two columns must be specified. The list of values is obtained by invoking the View Object's query, and taking the values from the second column of the result.

Since:
  Jdeveloper 3.0

Fields inherited from class oracle.jbo.server.rules.JboBaseValidator
`mLValue`

Constructor Summary
`JboVOListValidator()` Creates an uninitialized list validator.
`JboVOListValidator(boolean bInverse, java.lang.Object owner, java.lang.String str)` Creates a list validator.

Method Summary
`java.util.Vector` | `getList()` Gets this validator's list of values.
`java.lang.String` | `getVOAttrName()` Gets this validator's attribute name.
`java.lang.String` | `getVOName()` Gets the name of this validator's View Object.
`void` | `setVOAttrName(java.lang.String voname)` Sets this validator's View Object and attribute names.
`java.lang.String` | `toString()` Internal: For debugging purposes only.

Methods inherited from class oracle.jbo.server.rules.JboListValidator
`convertToVector, setList, validateValue`

Methods inherited from class oracle.jbo.server.rules.JboBaseValidator
`getDescription, getInverse, setDescription, setInverse, setNewValue, setValidatingAttribute, setValidatingAttribute, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JboVOListValidator

    public JboVOListValidator()

  Creates an uninitialized list validator.

  Invoke `setList()` to provide a list of comparison values.

### JboVOListValidator

    public JboVOListValidator(boolean bInverse,
                              java.lang.Object owner,
                              java.lang.String str)

  Creates a list validator.

  Parameters:
    `inverse` - if `true` the logic of this validator's test is inverted.
    `vec` - a list of comparison values.

Method Detail

### getList

    public java.util.Vector getList()

  Gets this validator's list of values.

  This method executes the View Object's query and extracts the second column of the result.

  Overrides:
    getList in class JboListValidator
  Returns:
    a vector containing the values from the second column of the result.

### getVOName

    public java.lang.String getVOName()

  Gets the name of this validator's View Object.
  Returns:
    the View Object's name.
  See Also:
    `JboQOListValidator#setQueryAttrName`

### getVOAttrName

    public java.lang.String getVOAttrName()

  Gets this validator's attribute name.
  Returns:
    the attribute name.
  See Also:
    `JboQOListValidator#setQueryAttrName`

### setVOAttrName

    public void setVOAttrName(java.lang.String voname)

  Sets this validator's View Object and attribute names.
  Parameters:
    `voname` - the qualified name of the attribute, consisting of a series of component names separated by `"."` characters. The part preceding the final dot becomes the View Object name, and the part after the final dot becomes the attribute name.

### toString

    public java.lang.String toString()

  Internal: For debugging purposes only.

  Overrides:
    toString in class JboListValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD